Subject: bug#50205: 27.2; crashes or hangs when opening a specific file using tramp

From: Michael Albinus <[email-masked]>
Date: Thu, 09 Sep 2021 09:02:26 +0200

Mani Kancherla <[email-masked]> writes:

> Hi Michael,

Hi Mani,

> Sorry, it took me some time to get back to you. I asked one of my
> colleagues to try it on her MAC.
> We installed emacs 27.2 on that MAC first and then tramp 2.5.1,
> verified that tramp 2.5.1 is loaded
> with M-x tramp-version and then we could easily reproduce the issue.
>
> I also suspect that it is related to tramp on MAC. I had been using
> emacs and tramp for a few years
> without trouble and I think the issues started last year. I don't
> remember if it was after I upgraded my
> MAC to the latest version at that time.
>
> What I noticed is that, occasionally, sometimes within an hour and
> sometimes after a couple of days, emacs
> crashes. I tried upgrading MAC OS, emacs, tramp and nothing helped.
> Then I tried to narrow it down
> so I could consistently reproduce it.
>
> Switching to the built-in 2.4.5.27.2 helped, i.e. reduced the
> frequency of crashes significantly and also I
> don't see the issue with the specific file that I could reproduce the
> issue with consistently. However, I still see
> emacs crashing occasionally. I am trying to run it in debugger and see
> if I can gather useful info.

All of this requires macOS specific debugging. I've added Alan in Cc, he
has fixed some macOS specific crashes. Perhaps, he has an idea.

> Thanks,
> Mani

Best regards, Michael.